#!/bin/bash
+set -ex
+
vexec() {
local i fmt
for (( i = 1; i <= $#; ++i )) ; do
exec "$@"
}
-cd ~/chromiumos || exit 1
+cd ~/chromiumos
# cache the sudo timestamp
sudo echo "" >/dev/null
fi
d+="/trybot"
+mkdir -p "${d}"
if mount | grep -qs $d ; then
echo "mounts found in $d"
exit 1
fi
-rd=$(readlink $d)
-if mount | grep -qs $rd ; then
- echo "mounts found in $rd"
- exit 1
+if [[ -L $d ]] ; then
+ rd=$(readlink $d)
+ if mount | grep -qs $rd ; then
+ echo "mounts found in $rd"
+ exit 1
+ fi
fi
if [[ $1 == "--noclean" ]] ; then